Name:		perl-IPC-System-Simple
Version:	1.30
Release:	3
License:	GPL+ or Artistic
Summary:	Run commands simply, with detailed diagnostics
URL:		http://search.cpan.org/dist/IPC-System-Simple
Source0:	https://cpan.metacpan.org/authors/id/J/JK/JKEENAN/IPC-System-Simple-%{version}.tar.gz
BuildArch:	noarch
# For Build
BuildRequires:	coreutils findutils make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.30
# For Runtime
BuildRequires:	perl(Carp) perl(Config) perl(constant) perl(Exporter) perl(List::Util)
BuildRequires:	perl(POSIX) perl(re) perl(Scalar::Util) perl(strict) perl(warnings)
# For Test
BuildRequires:	perl(File::Basename) perl(Test) perl(Test::More)

Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Calling Perl's in-built system() function is easy, determining if it was successful is hard.
Let's face it, $? isn't the nicest variable in the world to play with,
and even if you do check it, producing a well-formatted error string takes a lot of work.

%package_help

%prep
%autosetup -n IPC-System-Simple-%{version} -p1
chmod -c -x examples/*.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README examples/
%{perl_vendorlib}/IPC/

%files help
%{_mandir}/man3/IPC::System::Simple.3*

%changelog
* Tue Oct 25 2022 dongyuzhen <dongyuzhen@h-partners.com> - 1.30-3
- Rebuild for next release

* Fri Sep 4 2020 shixuantong <shixuantong@huawei.com> - 1.30-2
- update Source0

* Fri Jul 24 2020 xinghe <xinghe1@huawei.com> - 1.30-1
- update version to 1.30

* Sat Jan 4 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.25-19
- Delete redundant file

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.25-18
- Package init
